<template>
  <view class="content">
    <view class="card">
      <u-cell-group>
        <u-cell title="分公司名称" :value="info.FIRST_PARTY_NAME"></u-cell>
        <u-cell title="服务开始时间" :value="info.START_TIME"></u-cell>
        <u-cell title="服务结束时间" :value="info.END_TIME"></u-cell>
        <u-cell title="选取形式" :value="info.SELECT_TYPE === '0' ? '招标' : '竞争性谈判'"></u-cell>
        <u-cell title="用工形式" :value="info.EMPLOYMENT_TYPE === '0' ? '劳务承包' : '劳务派遣'"></u-cell>
        <u-cell title="是否是固定人员" :value="info.IS_FLOW === '1' ? '否' : '是'"></u-cell>
      </u-cell-group>
    </view>
  </view>
</template>

<script>
import {getServiceUnitView} from "../../api";

export default {
  data() {
    return {
      SERVICE_COMPANY_USER_MAP_ID: '',
      info: {}
    }
  },
  onLoad(query) {
    this.SERVICE_COMPANY_USER_MAP_ID = query.SERVICE_COMPANY_USER_MAP_ID
    this.fnGetData()
  },
  methods: {
    async fnGetData() {
      let resData = await getServiceUnitView({
        SERVICE_COMPANY_USER_MAP_ID: this.SERVICE_COMPANY_USER_MAP_ID
      })
      this.info = resData.pd
    }
  },
}
</script>

<style scoped>

</style>
